All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
PWAVFileConverter Class Referenceabstract

Abstract factory class for autoconversion of WAV files to/from PCM-16. More...

`#include <pwavfile.h>`

## Public Member Functions

virtual | ~PWAVFileConverter ()
virtual unsigned | GetFormat (const PWAVFile &file) const =0
virtual off_t | GetPosition (const PWAVFile &file) const =0
virtual PBoolean | SetPosition (PWAVFile &file, off_t pos, PFile::FilePositionOrigin origin)=0
virtual unsigned | GetSampleSize (const PWAVFile &file) const =0
virtual off_t | GetDataLength (PWAVFile &file)=0
virtual PBoolean | Read (PWAVFile &file, void *buf, PINDEX len)=0
virtual PBoolean | Write (PWAVFile &file, const void *buf, PINDEX len)=0

## Detailed Description

Abstract factory class for autoconversion of WAV files to/from PCM-16.

## Constructor & Destructor Documentation

virtual PWAVFileConverter::~PWAVFileConverter | ( |  | ) |

inline virtual

## Member Function Documentation

virtual off_t PWAVFileConverter::GetDataLength | ( | PWAVFile & | file | ) |

pure virtual

virtual unsigned PWAVFileConverter::GetFormat | ( | const PWAVFile & | file | ) | const

pure virtual

virtual off_t PWAVFileConverter::GetPosition | ( | const PWAVFile & | file | ) | const

pure virtual

virtual unsigned PWAVFileConverter::GetSampleSize | ( | const PWAVFile & | file | ) | const

pure virtual

virtual PBoolean PWAVFileConverter::Read | ( | PWAVFile & | file,
|  | void * | buf,
|  | PINDEX | len
| ) |  |

pure virtual

virtual PBoolean PWAVFileConverter::SetPosition | ( | PWAVFile & | file,
|  | off_t | pos,
|  | PFile::FilePositionOrigin | origin
| ) |  |

pure virtual

virtual PBoolean PWAVFileConverter::Write | ( | PWAVFile & | file,
|  | const void * | buf,
|  | PINDEX | len
| ) |  |

pure virtual

The documentation for this class was generated from the following file:

- pwavfile.h